<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.service.packet.impl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.service.packet.impl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/service/packet/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../io/mosip/registration/service/sync/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/service/packet/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.service.packet.impl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/PacketCreationServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketCreationServiceImpl</a></td>
<td class="colLast">
<div class="block">Class for creating the Resident Registration as zip file</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/PacketEncryptionServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketEncryptionServiceImpl</a></td>
<td class="colLast">
<div class="block">This class encrypts the Registration packet using RSA and AES algorithms.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/PacketExportServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketExportServiceImpl</a></td>
<td class="colLast">
<div class="block">Implementation class for <a href="../../../../../../io/mosip/registration/service/packet/PacketExportService.html" title="interface in io.mosip.registration.service.packet"><code>PacketExportService</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/PacketHandlerServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketHandlerServiceImpl</a></td>
<td class="colLast">
<div class="block">The class to handle the registration data to create packet out of it and save
 the registration packet data in <a href="../../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketSynchServiceImpl</a></td>
<td class="colLast">
<div class="block">The PacketSynchServiceImpl class is to sync the packets to server.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/PacketUploadServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketUploadServiceImpl</a></td>
<td class="colLast">
<div class="block">This class will update the packet status in the table and also push the
 packets to the server.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegistrationApprovalServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">RegistrationApprovalServiceImpl</a></td>
<td class="colLast">
<div class="block"><code>RegistrationApprovalServiceImpl</code> is the registration approval service
 class</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegistrationPacketVirusScanServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">RegistrationPacketVirusScanServiceImpl</a></td>
<td class="colLast">
<div class="block">Implementation class for <a href="../../../../../../io/mosip/registration/service/packet/RegistrationPacketVirusScanService.html" title="interface in io.mosip.registration.service.packet"><code>RegistrationPacketVirusScanService</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">RegPacketStatusServiceImpl</a></td>
<td class="colLast">
<div class="block">This class will update the packet status in the table after sync with the
 server.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/service/packet/impl/ReRegistrationServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">ReRegistrationServiceImpl</a></td>
<td class="colLast">
<div class="block">Implementation class for <a href="../../../../../../io/mosip/registration/service/packet/ReRegistrationService.html" title="interface in io.mosip.registration.service.packet"><code>ReRegistrationService</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/service/packet/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../io/mosip/registration/service/sync/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/service/packet/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
